Package org.h2gis.functions.spatial.distance

## Class ST_ClosestPoint

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.distance.ST_ClosestPoint

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_ClosestPoint
    extends org.h2gis.api.DeterministicScalarFunction

ST_ClosestPoint returns the 2D point on geometry A that is closest to geometry B. If the closest point is not unique, it returns the first one it finds. This means that the point returned depends on the order of the geometry's coordinates.

Author:
  Adam Gouge

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_ClosestPoint()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Point` `closestPoint​(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)` Returns the 2D point on geometry A that is closest to geometry B.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ClosestPoint

    public ST_ClosestPoint()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### closestPoint

    public static org.locationtech.jts.geom.Point closestPoint​(org.locationtech.jts.geom.Geometry geomA,
                                                               org.locationtech.jts.geom.Geometry geomB)
                                                        throws SQLException

Returns the 2D point on geometry A that is closest to geometry B.

Parameters:
  `geomA` - Geometry A
  `geomB` - Geometry B
Returns:
  The 2D point on geometry A that is closest to geometry B
Throws:
  `SQLException`